Skip to main content
Update virtual machine metadata and allowed log sources
curl --request PATCH \
  --url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/virtual-machines/{vmId} \
  --header 'Content-Type: application/json' \
  --cookie acornops_cp_session= \
  --data '
{
  "name": "payments-vm-01",
  "hostname": "payments-vm-01.internal",
  "allowedLogSources": [
    "system",
    "app"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "status": "<string>",
  "connectionStatus": "<string>",
  "latestSnapshot": {
    "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "summary": {},
  "permissions": {},
  "hostname": "<string>",
  "allowedLogSources": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

acornops_cp_session
string
cookie
required

Path Parameters

workspaceId
string<uuid>
required
Example:

"4b930d98-add9-4924-ab26-3c16d96ec373"

vmId
string<uuid>
required
Example:

"9254df42-4d9b-4e63-8bb6-93442e7d9a45"

Body

application/json
name
string
Example:

"payments-vm-01"

hostname
string
Example:

"payments-vm-01.internal"

allowedLogSources
string[]
Example:
["system", "app"]

Response

VM metadata updated.

id
string<uuid>
required
workspaceId
string<uuid>
required
targetType
enum<string>
required
Available options:
kubernetes,
virtual_machine
name
string
required
status
string
connectionStatus
string
latestSnapshot
object
summary
object
permissions
object
hostname
string
osFamily
enum<string>
Available options:
linux
serviceManager
enum<string>
Available options:
systemd
allowedLogSources
string[]